Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 619916 - python-formencode needs to be rebuilt against python 2.7
python-formencode needs to be rebuilt against python 2.7
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-formencode (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Python27Rebuild
  Show dependency treegraph
 
Reported: 2010-07-30 16:56 EDT by Dave Malcolm
Modified: 2016-09-19 22:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-20 16:10:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to selftests (1.64 KB, patch)
2010-07-30 17:41 EDT, Dave Malcolm
no flags Details | Diff

  None (edit)
Description Dave Malcolm 2010-07-30 16:56:51 EDT
Needs to be rebuilt against python2.7 in both F14 and devel.

Currently failing in %check:
http://koji.fedoraproject.org/koji/getfile?taskID=2345277&name=build.log
Comment 1 Dave Malcolm 2010-07-30 17:41:22 EDT
Created attachment 435688 [details]
Patch to selftests

From http://docs.python.org/dev/whatsnew/2.7.html#updated-module-elementtree-1-3
"Errors in parsing XML now raise a ParseError exception..."

Also, comments don't have leading a trailing space anymore, so:
  <!-- foo -->
becomes:
  <!--foo-->

This patch merely gets it to work against 2.7; it doesn't try to generalize things to work with all of the python versions that formencode is targetting upstream.
Comment 2 Toshio Ernie Kuratomi 2010-07-30 21:15:45 EDT
I made a better patch for this that should be upstreamable.  F15 package built; F14 package building now.  lmacken, if I just leave this bug open, can you take care of upstreaming the patch?

/me goes off to rebuild and fix more packages.
Comment 3 Toshio Ernie Kuratomi 2010-07-30 21:16:36 EDT
In case it wasn't clear:  the patch in the devel and F14 branch of git.  *Not* the patch attached to this bug.
Comment 4 Fedora Update System 2010-07-30 21:19:36 EDT
python-formencode-1.2.2-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/python-formencode-1.2.2-3.fc14
Comment 5 Dave Malcolm 2010-07-30 21:24:13 EDT
Comment on attachment 435688 [details]
Patch to selftests

Marking this one as obsolete; use Toshio's instead please
Comment 6 Fedora Update System 2010-08-01 15:28:04 EDT
python-formencode-1.2.2-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-01-20 16:02:51 EST
python-mechanize-0.1.10-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-mechanize-0.1.10-3.el5
Comment 8 Luke Macken 2011-01-20 16:10:58 EST
Ignore the mechanize messages above... my bad.

Toshio, I just submitted a pull request to ianb on bitbucket to pull in this patch.

Note You need to log in before you can comment on or make changes to this bug.